{
  lib,
  osConfig,
  ...
}: {
  imports = [
    ./shell.nix
    ./emulator.nix
    ./development.nix
    ./tools.nix
    ./yazi.nix
    ./hr
    ./helix
    ./nvim
    ./zellij
  ];

  config = lib.mkIf osConfig.mods.desktop.enable {
    mods.terminal.emulator.enable = lib.mkDefault true;
  };
}
